Arduino

Reference Language | Libraries | Comparison | Changes

## Wire.beginTransmission(address)

#### Description

Begin a transmission to the I2C slave device with the given address. Subsequently, queue bytes for transmission with the write() function and transmit them by calling endTransmission().

#### Parameters

address: the 7-bit address of the device to transmit to

#### Returns

None

#### See Also

- Wire.write()
- Wire.endTransmission()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes